/*
*/


#ifndef	__LW_CMATRIX_H__
#define	__LW_CMATRIX_H__

#include <math.h>
#include <lwtypes.h>

class LW_CMatrix_4x4 {
protected:
	double	m_matrix[4][4];
public:
	LW_CMatrix_4x4();
	~LW_CMatrix_4x4();
public:
	void init();
	void translate(double x, double y, double z);
	void rotateX(double x);
	void rotateY(double y);
	void rotateZ(double z);
	void rotateHPB(double h, double p, double b);
	void scale(double x, double y, double z);
	void Transform(LWDVector pos);
	void Transform(LWFVector pos);
	LW_CMatrix_4x4 operator*(const LW_CMatrix_4x4 &mat44);
	LW_CMatrix_4x4 &operator=(const LW_CMatrix_4x4 &mat44);
};


#endif	//__LW_CMATRIX_H__